Project Ship

View as Markdown

Capabilities

GET/api/v1/projects/{project_id}/ship/capabilities
Also as:MCPtool_call software-factory.projectShipCapabilitiesskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/capabilities" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/capabilities

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

Get Status

GET/api/v1/projects/{project_id}/ship/status
Also as:MCPtool_call software-factory.projectShipStatusskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/status" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/status

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

List Prs

GET/api/v1/projects/{project_id}/ship/prs
Also as:CLIopvs ship prsMCPtool_call software-factory.projectShipPrsskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/prs" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/prs

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

List Batches

GET/api/v1/projects/{project_id}/ship/batches
Also as:MCPtool_call software-factory.projectShipBatchesskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/batches" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/batches

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

List Exceptions

GET/api/v1/projects/{project_id}/ship/exceptions
Also as:MCPtool_call software-factory.projectShipExceptionsskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/exceptions" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/exceptions

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

List Steps

GET/api/v1/projects/{project_id}/ship/steps
Also as:MCPtool_call software-factory.projectShipStepsskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/projects/{project_id}/ship/steps" \
  -H "Authorization: Bearer $OPVS_TOKEN"
Try itGET /api/v1/projects/{project_id}/ship/steps

Used once, saved nowhere. Your token travels for this request through opvs.ai and SpiderPublish to app.opvs.ai, then this page forgets it when the tab closes.

GET only · 30 tries a minute

Hold Pr

POST/api/v1/projects/{project_id}/ship/prs/{pr_number}/hold
Also as:CLIopvs ship holdMCPtool_call software-factory.projectShipHoldskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/prs/{pr_number}/hold" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/prs/{pr_number}/hold
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Release Pr

POST/api/v1/projects/{project_id}/ship/prs/{pr_number}/release
Also as:CLIopvs ship releaseMCPtool_call software-factory.projectShipReleaseskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/prs/{pr_number}/release" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/prs/{pr_number}/release
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Ship After Pr

POST/api/v1/projects/{project_id}/ship/prs/{pr_number}/after
Also as:MCPtool_call software-factory.projectShipAfterskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/prs/{pr_number}/after" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/prs/{pr_number}/after
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Approve Pr

POST/api/v1/projects/{project_id}/ship/prs/{pr_number}/approve
Also as:CLIopvs ship approve

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/prs/{pr_number}/approve" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/prs/{pr_number}/approve
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Pause Ship Line

POST/api/v1/projects/{project_id}/ship/pause
Also as:MCPtool_call software-factory.projectShipPauseskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/pause" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/pause
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Resume Ship Line

POST/api/v1/projects/{project_id}/ship/resume
Also as:MCPtool_call software-factory.projectShipResumeskillsoftware-factory

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/projects/{project_id}/ship/resume" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Try itPOST /api/v1/projects/{project_id}/ship/resume
Try it sends reading requests only.

This endpoint changes data in your workspace, so it is not sent from the docs. Copy the command and run it in your own terminal.

Did this answer your question?